ReferenceWebhooks
Send a test event
Send a WEBHOOK_EVENT_TYPE_TEST event with a sample site to an endpoint, to check your receiver and signature verification.
POST
Authorization
AuthorizationrequiredBearer token with the sites:scan scope. You get it in exchange for an API key: see Authentication, or press Try in Playground, which takes your key and gets the token for you.
application/json- body
endpointId*stringThe id of the endpoint.
At most 64 bytes.
Success
application/json- response
eventId?stringThe eventId of the delivery. Find it in ListWebhookDeliveries.
curl -X POST \ 'https://app.getduranta.com/duranta.api.public.v1.WebhookService/SendTestEvent' \ -H 'Content-Type: application/json' \ -d '{ "endpointId": "string"}'{ "eventId": "string"}